package com.sqx.modules.firstLogin.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sqx.modules.firstLogin.dao.SkillDao;
import com.sqx.modules.firstLogin.entity.Skill;
import com.sqx.modules.firstLogin.service.SkillService;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class SkillServiceImpl extends ServiceImpl<SkillDao, Skill> implements SkillService {
    @Override
    public List<Skill> selectSkill(Integer userId) {
        QueryWrapper<Skill> queryWrapper =new QueryWrapper<>();
        queryWrapper.eq("user_id",userId).eq("is_use",1);
        return  baseMapper.selectList(queryWrapper);
    }
}
